Пару дней назад, хакер Comex сообщил о проблеме с iBooks, которая делает невозможным чтение некоторых книг на устройствах с джейлбрейком. Немного позже, им были выпущены исправления, которые уже интегрированы в последнюю версию PwnageTool 4.2.

Если вы не в курсе, что это за проблемы, мы расскажем. Дело в том, что в новой версии iBooks (1.2.1), Apple добавила проверку на наличие джейлбрейка. Если нужная книга загружена через компьютер, то у вас не возникнет никаких проблем при её открытии, если же она приобретена через App Store, то при её открытии вы увидите предупреждение о том, что прошивка на вашем устройстве модифицированна. Проверка происходит следующим образом. При открытии книги, iBooks запускает неподписанный код, если он запустился, это значит что на вашем устройстве сделан джейлбрейк, если не запустился - книга откроется без проблем. Происходит это из-за того, что на устройствах с джейлбрейком запускается любой неподписанный код.

Если на вашем устройстве уже сделан джейлбрейк с помощью последнего Greenp0ison и вы не хотите его переделывать с помощью PwnageTool 4.2 или Sn0wbreeze 2.2, то мы расскажем вам, как исправить данную проблему с iBooks.

Вариант 1
Добавьте в Cydia репозиторий http://repo.insanelyi.com, а затем установите оттуда "iBooks Fix".

Вариант 2
Скачайте деб-пакет Hunnypot.deb и установите его с помощью iFile.

Материалы

Нашел ошибку в тексте? Выдели ее и нажми Ctrl + Enter